| Code | Description |
|---|---|
| 401 | Unauthorized |
| 500 | Server crashed for some <%= reason %> |
GET /Practitioner/1008?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "Practitioner",
"id": "1008",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner"
]
},
"identifier": [
{
"system": "http://hl7.org/fhir/sid/us-npi",
"value": ""
}
],
"name": [
{
"family": "Davis",
"given": [
"Albert"
]
}
],
"telecom": [
{
"system": "email",
"value": "adavis@test.com",
"use": "work"
}
],
"address": [
{
"line": [
"2472, Rocky place"
],
"postalCode": "97006",
"city": "Beaverton",
"state": "No Known Value",
"country": "US",
"period": {
"start": "2016-02-27"
}
}
]
}
GET /Practitioner/1013 401
GET /Practitioner/1013?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "Practitioner",
"id": "1013",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner"
]
},
"identifier": [
{
"system": "http://hl7.org/fhir/sid/us-npi",
"value": ""
}
],
"name": [
{
"family": "Staff",
"given": [
"Superviser"
]
}
],
"telecom": [
{
"system": "email",
"value": "superviserstaff@test.com",
"use": "work"
}
],
"address": [
{
"line": [
"123 fake street"
],
"postalCode": "55555",
"city": "springfield",
"state": "No Known Value",
"country": "US",
"period": {
"start": "2016-02-27"
}
}
]
}
GET /Practitioner/1013?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "Practitioner",
"id": "1013",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner"
]
},
"identifier": [
{
"system": "http://hl7.org/fhir/sid/us-npi",
"value": ""
}
],
"name": [
{
"family": "Staff",
"given": [
"Superviser"
]
}
],
"telecom": [
{
"system": "email",
"value": "superviserstaff@test.com",
"use": "work"
}
],
"address": [
{
"line": [
"123 fake street"
],
"postalCode": "55555",
"city": "springfield",
"state": "No Known Value",
"country": "US",
"period": {
"start": "2016-02-27"
}
}
]
}
GET /Practitioner/1013?access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
"resourceType": "Practitioner",
"id": "1013",
"meta": {
"versionId": "1",
"lastUpdated": "2021-03-23T19:36:17.299+00:00",
"source": "#E1VolYkq84D3M96u",
"profile": [
"http://hl7.org/fhir/us/core/StructureDefinition/us-core-practitioner"
]
},
"identifier": [
{
"system": "http://hl7.org/fhir/sid/us-npi",
"value": ""
}
],
"name": [
{
"family": "Staff",
"given": [
"Superviser"
]
}
],
"telecom": [
{
"system": "email",
"value": "superviserstaff@test.com",
"use": "work"
}
],
"address": [
{
"line": [
"123 fake street"
],
"postalCode": "55555",
"city": "springfield",
"state": "No Known Value",
"country": "US",
"period": {
"start": "2016-02-27"
}
}
]
}
| Param name | Description |
|---|---|
|
access_token
optional |
CarePaths User OAuth Token Validations:
|
List of resources
| Param name | Description |
|---|---|
|
resource_type
required |
Practitioner Validations:
|
|
identifier
required |
Validations:
|
|
name
required |
Validations:
|
|
telecom
required |
Validations:
|
|
address
required |
Validations:
|